ReportingCloud

PUT /v1/account/apikey

Endpoint

PUT https://api.reporting.cloud/v1/account/apikey

Description

Creates a new API key for the account and returns it as a JSON string. A request that sends the key in the header Authorization: ReportingCloud-APIKey <key> needs no user name and password. The request has no body, but must send Content-Length: 0. See API Keys.

Examples

Request:

curl -u username:password -X PUT -H "Content-Length: 0" \
  "https://api.reporting.cloud/v1/account/apikey"

The request has no body, but without a Content-Length header or a chunked body, the Web API answers with status 411 (Length Required).

Results:

"rcn9HChVnZmjkQA2YhveFd1CHq8W6SSkjLNqeyRw"

Authorization

This endpoint requires a "ReportingCloud-APIKey" or a "Basic" user authorization to access the user account, data and templates. Only one of these two methods is required.

API Keys describes how to create an API key, and Authentication explains both header forms.

ReportingCloud-APIKey

Header fieldDescription
AuthorizationRequired. A valid ReportingCloud account is required. The Authorization field is constructed as follows: An API key needs to be generated in the portal or with PUT /v1/account/apikey. The authorization method and a space, "ReportingCloud-APIKey ", is then put before the actual API key string. For example: Authorization: ReportingCloud-APIKey oMDM4MrAqL9QEOpyzupnQW5NjvCNtvE5cVDaaLqxI

Basic

Header fieldDescription
AuthorizationRequired. A valid ReportingCloud account is required. The Authorization field is constructed as follows: The user name and password are combined into a string separated by a colon, for example username:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space, "Basic ", is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l

Success Response

StatusDescription
201On success, the HTTP status code in the response header is 201 (Created). The response body contains the newly created API key as a JSON string.

Error Response

StatusDescription
403A 403 (Forbidden) is returned, if the user is not authorized.
405A 405 (Method Not Allowed) is returned, if the request uses another HTTP method than PUT. The Allow header of the response names PUT.
411A 411 (Length Required) is returned, if the request has neither a Content-Length header, such as Content-Length: 0, nor a chunked body.
500A 500 (Internal Server Error) is returned, if the request has no Authorization header, an empty one or one that is not the authorization method, a space and the credentials.